
Redmine - Feature #8531

Task's "assignee" should be specified by login instead of user ID

2011-06-04 22:34 - Alex Last

Status: Closed Start date: 2011-06-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I'm trying to create a task in Redmine using REST API and assign to a specific user.

I know the login name (or full name) of the user I want to assign the new task to, but I don't know the user database ID.

I could get all users from the server and find the required one, but this operation requires "Administrator" permission, which is a

non-starter in many cases.

so, I propose to allow specifying the "task's assignee" with user login name and not just user ID.

Related issues:

Is duplicate of Redmine - Feature #6721: Allow setting issue assignment by us... New 2010-10-21

History

#1 - 2011-06-15 17:18 - Ian Epperson

Duplicate of #6721

#2 - 2011-06-15 18:19 - Etienne Massip

- Status changed from New to Closed

Closed as duplicate of #6721, thanks.

#3 - 2011-06-15 18:19 - Etienne Massip

- Resolution set to Duplicate
